/* misc.h. */

/* VIS-5D version 3.0 */

/*
vis5d program for visualizing five dimensional gridded data sets
Copyright (C) 1990, 1991, 1992  Bill Hibbard, Brian Paul, Dave Santek,
and Andre Battaiola.

This program is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; either version 1, or (at your option)
any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/



#ifndef MISC_H
#define MISC_H



/*** round ************************************************************
   Round off x to a 'nice' value.
**********************************************************************/
extern float round();
/*
float x;
*/



/*** del_last_traj ****************************************************
   Delete the most recent trajectory.
**********************************************************************/
extern void del_last_traj();




/*** del_traj_group ***************************************************
   Delete a group of trajectories.
   Input:  g - the trajectory group number in [0..TRAJGROUPS-1].
**********************************************************************/
extern void del_traj_group();
/*
int g;
*/



extern int wait_lock();
extern int clear_lock();
extern int cond_lock();

extern int free_isosurface();
extern int free_hslice();
extern int free_vslice();
extern int free_chslice();
extern int free_cvslice();
extern int free_hwind();
extern int free_vwind();

#endif

